Package org.eclipse.emf.compare.command

# Interface ICompareCommandStack

All Superinterfaces:
  `CommandStack`

All Known Implementing Classes:
  `CompareCommandStack`, `DualCompareCommandStack`, `TransactionalDualCompareCommandStack`

public interface ICompareCommandStack extends CommandStack
An extended `command stack` that knows about each save state of the comparison.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLeftSaveNeeded()`
Returns whether the left model has changes since `leftSaveIsDone()` was call the last.
`boolean`
`isRightSaveNeeded()`
Returns whether the right model has changes since `rightSaveIsDone()` was call the last.
`void`
`leftSaveIsDone()`
Called after a save of the left model has been successfully performed.
`void`
`rightSaveIsDone()`
Called after a save of the right model has been successfully performed.

### Methods inherited from interface org.eclipse.emf.common.command.CommandStack

`addCommandStackListener, canRedo, canUndo, execute, flush, getMostRecentCommand, getRedoCommand, getUndoCommand, redo, removeCommandStackListener, undo`

## Method Details

### isLeftSaveNeeded

boolean isLeftSaveNeeded()
Returns whether the left model has changes since `leftSaveIsDone()` was call the last.

Returns:
  whether the left model has changes since `leftSaveIsDone()` was call the last.

### isRightSaveNeeded

boolean isRightSaveNeeded()
Returns whether the right model has changes since `rightSaveIsDone()` was call the last.

Returns:
  whether the right model has changes since `rightSaveIsDone()` was call the last.

### leftSaveIsDone

void leftSaveIsDone()
Called after a save of the left model has been successfully performed.

### rightSaveIsDone

void rightSaveIsDone()
Called after a save of the right model has been successfully performed.